using DataSharing.SendTask;
using SqlSugar;
using System.ComponentModel;

namespace DataSharing.Province.SendTask.SubmitCaseResult
{
    /// <summary>
    /// 业务汇聚-服务工单处理结果推送任务数据
    /// </summary>
    [Description("业务汇聚-服务工单处理结果推送任务数据")]
    [SugarIndex("index_dssendtasksubmitcaseresult_provinceno", nameof(ProvinceNo), OrderByType.Desc)]
    [SugarIndex("index_dssendtasksubmitcaseresult_firsttime", nameof(FirstTime), OrderByType.Desc)]
    [SugarIndex("index_dssendtasksubmitcaseresult_lasttime", nameof(LastTime), OrderByType.Desc)]
    [SugarIndex("index_dssendtasksubmitcaseresult_generationtime", nameof(GenerationTime), OrderByType.Desc)]
    public class DsSendTaskSubmitCaseResult : BaseSendTask
    {
        /// <summary>
        /// 组装参数
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true, ColumnDescription = "组装参数")]
        public Share.Dtos.Province.HuiJu.SubmitCaseResultInfo RequestData { get; set; }

        /// <summary>
        /// 待推送数据
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(Id))]
        public DsWaitSendTaskSubmitCaseResult WaitSendTaskSubmitCaseResult { get; set; }

        /// <summary>
        /// 办结时间
        /// </summary>
        [SugarColumn(ColumnDescription = "办结时间")]
        public DateTime? FiledTime { get; set; }

    }
}
